textures/alm3dm1/alm_banner
{
	q3map_lightimage textures/alm3dm1/alm_banner.tga
        q3map_surfacelight 100


	{
		map textures/alm3dm1/alm_banner.tga
	        rgbGen wave square 0 1 0 .5
	}

	{
		map textures/alm3dm1/almtext.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}

	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}


	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}     

textures/alm3dm1/sky

{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_surfacelight 175

	qer_editorimage textures/skies/toxicbluesky.tga

	skyparms - 512 -
	{
		map textures/skies/bluedimclouds.tga
		tcMod scale 4 4
		tcMod scroll 0.05 0.05
		depthWrite
	}
	{
		map textures/skies/topclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 4 4
		tcMod scroll 0.02 0.02
	}
}

//==========================================
//  Slightly waving banner
// 
//==========================================
textures/alm3dm1/banner_strgg
{
	// not included to the distributable
	qer_editorimage textures/alm3dm1/banner_strgg.tga

	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
	surfaceparm nomarks

	tesssize 64
	deformVertexes wave 100 sin 0 3 0 .7

	sort banner
	{
                map models/mapobjects/flag/banner_strgg.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}